;;; $DOOMDIR/config.el -*- lexical-binding: t; -*-

;; Place your private configuration here! Remember, you do not need to run 'doom
;; sync' after modifying this file!


;; Some functionality uses this to identify you, e.g. GPG configuration, email
;; clients, file templates and snippets.
(setq user-full-name "vibbe"
      user-mail-address "vib@vibbe.xyz")

;; Doom exposes five (optional) variables for controlling fonts in Doom. Here
;; are the three important ones:
;;
;; + `doom-font'
;; + `doom-variable-pitch-font'
;; + `doom-big-font' -- used for `doom-big-font-mode'; use this for
;;   presentations or streaming.
;;
;; They all accept either a font-spec, font string ("Input Mono-12"), or xlfd
;; font string. You generally only need these two:
;; (setq doom-font (font-spec :family "monospace" :size 12 :weight 'semi-light)
;;       doom-variable-pitch-font (font-spec :family "sans" :size 13))
(setq doom-font (font-spec :family "SFMono Nerd Font" :size 13)
      doom-variable-pitch-font (font-spec :family "Ubuntu" :size 15))

;; There are two ways to load a theme. Both assume the theme is installed and
;; available. You can either set `doom-theme' or manually load a theme with the
;; `load-theme' function. This is the default:
(setq doom-theme 'doom-henna)

;; If you use `org' and don't want your org files in the default location below,
;; change `org-directory'. It must be set before org loads!
(setq org-directory "~/org/")

;; This determines the style of line numbers in effect. If set to `nil', line
;; numbers are disabled. For relative line numbers, set this to `relative'.
(setq display-line-numbers-type t)


;; Here are some additional functions/macros that could help you configure Doom:
;;
;; - `load!' for loading external *.el files relative to this one
;; - `use-package!' for configuring packages
;; - `after!' for running code after a package has loaded
;; - `add-load-path!' for adding directories to the `load-path', relative to
;;   this file. Emacs searches the `load-path' when you load packages with
;;   `require' or `use-package'.
;; - `map!' for binding new keys
;;
;; To get information about any of these functions/macros, move the cursor over
;; the highlighted symbol at press 'K' (non-evil users must press 'C-c c k').
;; This will open documentation for it, including demos of how they are used.
;;
;; You can also try 'gd' (or 'C-c c d') to jump to their definition and see how
;; they are implemented.


; START TABS CONFIG
;; Create a variable for our preferred tab width
;;(setq custom-tab-width 2)

;; Two callable functions for enabling/disabling tabs in Emacs
;;(defun disable-tabs () (setq indent-tabs-mode nil))
;;(defun enable-tabs  ()
  ;;(local-set-key (kbd "TAB") 'tab-to-tab-stop)
  ;;(setq indent-tabs-mode t)
  ;;(setq tab-width custom-tab-width))

;; Hooks to Enable Tabs
;;(add-hook 'prog-mode-hook 'enable-tabs)
;; Hooks to Disable Tabs
;;(add-hook 'lisp-mode-hook 'disable-tabs)
;;(add-hook 'emacs-lisp-mode-hook 'disable-tabs)

;; Language-Specific Tweaks
;;(setq-default python-indent-offset custom-tab-width) ;; Python
;;(setq-default js-indent-level custom-tab-width)      ;; Javascript

;; Making electric-indent behave sanely
;;(setq-default electric-indent-inhibit t)

;; Make the backspace properly erase the tab instead of
;; removing 1 space at a time.
;;(setq backward-delete-char-untabify-method 'hungry)
; END TABS CONFIG

;; I don't like Emacs filling up my system clipboard history
(setq select-enable-clipboard nil)

;; (setq scroll-margin 5)


;; java stuff
(setenv "JAVA_HOME"  "/usr/lib/jvm/java-17-openjdk")
(setq lsp-java-java-path "/usr/lib/jvm/java-17-openjdk/bin/java")
